## org.gnu.gtk
Class CellRenderer

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.CellRenderer

Direct Known Subclasses:
  CellRendererPixbuf, CellRendererProgress, CellRendererText, CellRendererToggle

public class CellRenderer
extends GObject

A CellRenderer is an object used to reder data in a `TreeView` widget. This is for all types of Table, Tree and list. Each renderer has one or more `CellRendererAttribute`. These attributes are for data to be rendered. This data is usually stored in a `TreeModel` object; the two current implementations of `TreeModel` being `ListStore` (for tables and lists) and `TreeStore` for trees.

The choice of data to be rendered is particular to the TreeView widget - any number of TreeView widgets may share the same data and choose to display only a selection of it. Data is displayed in a `TreeView` widget by attaching `TreeViewColumn`s and packing any number of `CellRenderer`s into each column. Links are then made between the renderers and the data in the model via the `TreeViewColumn.addAttributeMapping(CellRenderer, CellRendererAttribute, DataColumn)` method.

This class is a base class for the renderers, either home grown or any of the following standard renderers:

- `CellRendererPixbuf`
- `CellRendererText`
- `CellRendererToggle`

For a full overview of the tree and list objects, see the `TreeView` description.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Method Summary
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static boolean` `gtk_cell_renderer_activate(Handle cell, Handle event, Handle widget, java.lang.String path, Handle backgroundArea, Handle cellArea, int flags)`
`protected static void` `gtk_cell_renderer_get_fixed_size(Handle cell, int[] width, int[] height)`
`protected static void` `gtk_cell_renderer_get_size(Handle cell, Handle widget, Handle cellArea, int[] xOffset, int[] yOffset, int[] width, int[] height)`
`protected static int` `gtk_cell_renderer_get_type()`
`protected static void` `gtk_cell_renderer_render(Handle cell, Handle window, Handle widget, Handle backgroundArea, Handle cellArea, Handle exposedArea, int flags)`
`protected static void` `gtk_cell_renderer_set_fixed_size(Handle cell, int width, int height)`
`protected static int` `gtk_cell_renderer_start_editing(Handle cell, Handle event, Handle widget, java.lang.String path, Handle backgroundArea, Handle cellArea, int flags)`
`protected static void` `gtk_cell_renderer_stop_editing(Handle cell, boolean canceled)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### gtk_cell_renderer_get_type

    protected static final int gtk_cell_renderer_get_type()

### gtk_cell_renderer_get_size

    protected static final void gtk_cell_renderer_get_size(Handle cell,
                                                           Handle widget,
                                                           Handle cellArea,
                                                           int[] xOffset,
                                                           int[] yOffset,
                                                           int[] width,
                                                           int[] height)

### gtk_cell_renderer_render

    protected static final void gtk_cell_renderer_render(Handle cell,
                                                         Handle window,
                                                         Handle widget,
                                                         Handle backgroundArea,
                                                         Handle cellArea,
                                                         Handle exposedArea,
                                                         int flags)

### gtk_cell_renderer_activate

    protected static final boolean gtk_cell_renderer_activate(Handle cell,
                                                              Handle event,
                                                              Handle widget,
                                                              java.lang.String path,
                                                              Handle backgroundArea,
                                                              Handle cellArea,
                                                              int flags)

### gtk_cell_renderer_start_editing

    protected static final int gtk_cell_renderer_start_editing(Handle cell,
                                                               Handle event,
                                                               Handle widget,
                                                               java.lang.String path,
                                                               Handle backgroundArea,
                                                               Handle cellArea,
                                                               int flags)

### gtk_cell_renderer_set_fixed_size

    protected static final void gtk_cell_renderer_set_fixed_size(Handle cell,
                                                                 int width,
                                                                 int height)

### gtk_cell_renderer_get_fixed_size

    protected static final void gtk_cell_renderer_get_fixed_size(Handle cell,
                                                                 int[] width,
                                                                 int[] height)

### gtk_cell_renderer_stop_editing

    protected static final void gtk_cell_renderer_stop_editing(Handle cell,
                                                               boolean canceled)